libqalculate-2.2.0: IntegerArgument Class Reference

libqalculate-2.2.0

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IntegerArgument Class Reference

A definition for integer arguments. More...

`#include <Function.h>`

Inheritance diagram for IntegerArgument:

## Public Member Functions
| IntegerArgument (string name_="", ArgumentMinMaxPreDefinition minmax=ARGUMENT_MIN_MAX_NONE, bool does_test=true, bool does_error=true, IntegerType integer_type=INTEGER_TYPE_NONE)
| IntegerArgument (const IntegerArgument *arg)
IntegerType | integerType () const
void | setIntegerType (IntegerType integer_type)
virtual void | set (const Argument *arg)
virtual Argument * | copy () const
virtual string | print () const
void | setMin (const Number *nmin)
const Number * | min () const
void | setMax (const Number *nmax)
const Number * | max () const
virtual int | type () const
Public Member Functions inherited from Argument
| Argument (string name_="", bool does_test=true, bool does_error=true)
| Argument (const Argument *arg)
virtual | ~Argument ()
string | printlong () const
bool | test (MathStructure &value, int index, MathFunction *f, const EvaluationOptions &eo=default_evaluation_options) const
virtual MathStructure | parse (const string &str, const ParseOptions &po=default_parse_options) const
virtual void | parse (MathStructure *mstruct, const string &str, const ParseOptions &po=default_parse_options) const
string | name () const
void | setName (string name_)
void | setCustomCondition (string condition)
string | getCustomCondition () const
bool | tests () const
void | setTests (bool does_error)
bool | alerts () const
void | setAlerts (bool does_error)
bool | zeroForbidden () const
void | setZeroForbidden (bool forbid_zero)
bool | matrixAllowed () const
void | setMatrixAllowed (bool allow_matrix)
bool | isLastArgument () const
void | setIsLastArgument (bool is_last)
bool | rationalPolynomial () const
void | setRationalPolynomial (bool rational_polynomial)
virtual bool | suggestsQuotes () const

## Protected Member Functions
virtual bool | subtest (MathStructure &value, const EvaluationOptions &eo) const
virtual string | subprintlong () const

## Protected Attributes
Number * | imin
Number * | imax
IntegerType | i_inttype
Protected Attributes inherited from Argument
string | sname
string | scondition
bool | b_zero
bool | b_test
bool | b_matrix
bool | b_text
bool | b_error
bool | b_rational
bool | b_last

## Detailed Description

A definition for integer arguments.

These arguments allows numerical integer values. The value can be restricted to a max and/or min value.

## Member Function Documentation

## ◆ copy()

virtual Argument* IntegerArgument::copy | ( |  | ) | const
| virtual

Returns a copy of the argument definition.

Returns
  A copy.

Reimplemented from Argument.

## ◆ print()

virtual string IntegerArgument::print | ( |  | ) | const
| virtual

Resturns a short description of the argument definition. Ex. "number" for NumberArgument.

Returns
  Short description.

Reimplemented from Argument.

## ◆ set()

virtual void IntegerArgument::set | ( | const Argument * | arg | ) |
| virtual

Sets the argument to a copy of an argument definition.

Parameters

  arg | Argument to copy.

Reimplemented from Argument.

## ◆ subprintlong()

virtual string IntegerArgument::subprintlong | ( |  | ) | const
| protectedvirtual

This function is called from Argument::printlong() and returns description specific the argument definition type. Should be reimplemented by all subclasses. For example IntegerArgument::subprintlong() might return "an integer" and Argument::printlong() might append " that fulfills the condition: even(\x)".

Returns
  Long description.

Reimplemented from Argument.

## ◆ subtest()

virtual bool IntegerArgument::subtest | ( | MathStructure & | value,
|  | const EvaluationOptions & | eo
| ) |  | const
| protectedvirtual

This function is called from Argument::test() and performs validation specific to the argument definition type. Should be reimplemented by all subclasses.

Parameters

  value | Value to test.
  eo | Evaluation options to use if the value needs to be evaluated.

Returns
  true if the value is valid for the argument definition.

Reimplemented from Argument.

## ◆ type()

virtual int IntegerArgument::type | ( |  | ) | const
| virtual

Returns the type of the argument, corresponding to which subclass the object belongs to.

Returns
  ArgumentType.

Reimplemented from Argument.

The documentation for this class was generated from the following file:

- libqalculate/Function.h